Bug 1637492 (CVE-2018-11797)

Summary: CVE-2018-11797 pdfbox: unbounded computation in parser resulting in a denial of service
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abergmann, aileenc, alazarot, anstephe, bkearney, chazlett, drieden, etirelli, gvarsami, ibek, java-sig-commits, jcoleman, jolee, jschatte, jstastny, kconner, krathod, kverlaen, ldimaggi, lpetrovi, meissner, nwallace, paradhya, puntogil, rrajasek, rsynek, rwagner, rzhang, sdaley, tcunning, tkirby, tlestach, vhalbert
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20181005,reported=20181005,source=oss-security,cvss3=5.5/CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H,cwe=CWE-674,fedora-all/pdfbox=affected,bpms-6/pdfbox=new,brms-6/pdfbox=new,fsw-6/pdfbox=new,fuse-6/pdfbox=new,fuse-7/pdfbox=new,jdv-6/pdfbox=new,rhn_satellite_5/nutch=wontfix/impact=low
Fixed In Version: pdfbox 1.8.16, pdfbox 2.0.12 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1637494    
Bug Blocks: 1637495    

Description Andrej Nemec 2018-10-09 11:06:20 UTC
A vulnerability related to parsing was found in Apache PDFBox parser. A carefully crafted PDF file can trigger an extremely long running computation when parsing the page tree.

External References:

https://lists.apache.org/thread.html/a9760973a873522f4d4c0a99916ceb74f361d91006b663a0a418d34a@%3Cannounce.apache.org%3E

Comment 1 Andrej Nemec 2018-10-09 11:07:15 UTC
Created pdfbox tracking bugs for this issue:

Affects: fedora-all [bug 1637494]

Comment 2 Cedric Buissart 🐶 2019-01-08 13:13:52 UTC
Regarding the Satellite 5 product: 
Reducing the severity to Low : PDFBox is only used to create PDF. No attack vector, where an attacker could send a crafted PDF for parsing, have been found.

Comment 3 Joshua Padman 2019-05-15 22:54:20 UTC
This vulnerability is out of security support scope for the following products:
 * Red Hat JBoss BPM Suite 6
 * Red Hat JBoss BRMS 6
 * Red Hat JBoss Fuse Service Works 6
 * Red Hat JBoss Fuse 6
 * Red Hat JBoss Data Virtualization & Services 6

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.